SAP Knowledge Base Article - Preview

2485391 - HANA System Replication Near Zero Downtime upgrade error drGetServer incompatible version

Symptom

  • You get the following error message in the nameserver trace on the secondary site while upgrading HANA databases with Near Zero Downtime:

e sr_nameserver    DRRequestHandler.cpp(01076) : drGetServers: incompatible version from dc=1(<build_version>) but expected (<build_version)

  • This message "incompatible version" is not correct because System Replication is working fine.
  • The version of the secondary site is usually be higher or the same as the one running on the primary system, can be used for near zero downtime upgrades of the SAP HANA database.
  • The process is described in detail in the SAP HANA Administration Guide: Use System Replication for Near Zero downtime upgrades.

Read more...

Environment

  • SAP HANA Platform 1.0

Product

SAP HANA 1.0, platform edition

Keywords

KBA , HAN-DB-HA , SAP HANA High Availability (System Replication, etc.) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.